Deleting Dataset Versions
curl --request DELETE \
--url https://{instance}.domo.com/api/data/v2/datasources/{datasetId}/dataversions \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '[
2
]'import requests
url = "https://{instance}.domo.com/api/data/v2/datasources/{datasetId}/dataversions"
payload = [2]
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([2])
};
fetch('https://{instance}.domo.com/api/data/v2/datasources/{datasetId}/dataversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Deleting Dataset Versions
This endpoint removes a set of data versions from Vault for a given dataset. This is a destructive operation and cannot be undone. A list of data versions to delete is supplied in the body of the request. The method returns an empty response with a 200 OK http status if the delete was successful.
If you are deleting data versions that are part of the active data in Adrenaline you should include the index=true request parameter in order to remove the data from Adrenaline as well.
DELETE
/
api
/
data
/
v2
/
datasources
/
{datasetId}
/
dataversions
Deleting Dataset Versions
⌘I